Ignore:
Timestamp:
Aug 18, 2010, 6:59:27 PM (9 years ago)
Author:
snc@…
Message:

create kde4 1.1 to handle phonon version discrepancies between qt4-mac and qt4-mac-devel

File:
1 copied

Legend:

Unmodified
Added
Removed
  • trunk/dports/_resources/port1.0/group/kde4-1.1.tcl

    r70715 r70716  
    3131#
    3232# Usage:
    33 # PortGroup     kde4 1.0
     33# PortGroup     kde4 1.1
    3434
    3535
     
    4343post-extract            { file mkdir ${worksrcpath} }
    4444
    45 set qt                  qt4-mac
     45set qt                  qt4-mac-devel
    4646set qt_dir              ${prefix}/libexec/${qt}
    4747
     
    7777                        -DBUILD_SHARED_LIBS=ON \
    7878                        -DBUNDLE_INSTALL_DIR=${applications_dir}/KDE4 \
    79                         -DPHONON_INCLUDE_DIR=${qt_dir}/include \
    80                         -DPHONON_LIBRARY=${qt_dir}/lib/phonon.framework/phonon \
     79                        -DPHONON_INCLUDE_DIR=${prefix}/include \
     80                        -DPHONON_LIBRARY=${prefix}/lib/libphonon.dylib \
    8181                        -DQT_QMAKE_EXECUTABLE=${qt_dir}/bin/qmake \
    8282                        -DKDE_DISTRIBUTION_TEXT="MacPorts\/Mac OS X"
Note: See TracChangeset for help on using the changeset viewer.